org.eclipse.eef.ide.ui.internal.widgets.styles

## Class EEFColor

- java.lang.Object
- - org.eclipse.eef.ide.ui.internal.widgets.styles.EEFColor

    public class EEFColor
    extends java.lang.Object

Represents a color in EEF.

### Constructor Summary

Constructors
Constructor and Description
`EEFColor(org.eclipse.swt.graphics.Color color)` Constructor.
`EEFColor(java.lang.String colorCode)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `colorToString()` Get the color as an rgb string.
`org.eclipse.swt.graphics.Color` `getColor()` Get the color.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFColor

    public EEFColor(java.lang.String colorCode)

The constructor.

Parameters:
  `colorCode` - The color code it can be defined as hex (#000000) or as RGB (rgb(0,0,0))

#### EEFColor

    public EEFColor(org.eclipse.swt.graphics.Color color)

Constructor.

Parameters:
  `color` - Color

### Method Detail

#### colorToString

    public java.lang.String colorToString()

Get the color as an rgb string.

Returns:
  RGB string as rgb(0,0,0)

#### getColor

    public org.eclipse.swt.graphics.Color getColor()

Get the color.

Returns:
  The color